tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: CVS commit: pkgsrc/meta-pkgs/py-gnome-bindings

On Wed, Jun 15, 2011 at 10:35:32AM +0900, OBATA Akio wrote:
> 1. Yesterday, I saw some commit messages that remove 
>    and introduce PYTHON_VERSIONS_ACCEPTED, but I don't know why.

Me neither.

> 2. It is indirect restriction.
>    PYTHON_VERSIONS_ACCEPTED for py-gtk2 already had been fixed.
>    Even if we change to using _INCOMPATIBLE, this issue will be happened
>    unless maintain PYTHON_VERSIONS_ACCEPTED/INCOMPATIBLE recursively.

I agree this is a problem (and I don't have a solution); using
PYTHON_VERSIONS_INCOMPATIBLE solves another one (adding new python
versions to pkgsrc) though, so I think we should do make that the
preferred variable.

Home | Main Index | Thread Index | Old Index